﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using AKS.BusinessModel;
using AKS.BusinessModel.Inventory;

namespace AKS.ViewModel
{
  /// <summary>
  /// ViewModel für die Projekte
  /// </summary>
  public class ProjectsViewModel
  {
    /// <summary>
    /// ViewModel-Daten
    /// </summary>
    private Projects projects;
    private ProjectBindingList projectBindingList;

    #region Public Constructors

    /// <summary>
    /// Konstruktor
    /// </summary>
    /// <param name="projects">Liste aller Projekte</param>
    public ProjectsViewModel( Projects projects )
    {
      this.projects = projects;

      this.projectBindingList = new ProjectBindingList( this.projects );
    }

    #endregion

    #region Public Properties

    /// <summary>
    /// Projekte
    /// </summary>
    public Projects Projects
    {
      get { return this.projects; }
    }

    /// <summary>
    /// Bindinglist für Projekte
    /// </summary>
    public IBindingList ProjektBindingList
    {
      get { return this.projectBindingList; }
    }

    #endregion


  }
}
